Subject: Re: Problems with Cygnus and paths (default / path, /tmp, and more) is confusing byacc
From: [email-masked] (Fred Reimer)

11 Jul 1998 07:11:09 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: "Jeff Coffler" <[email-masked]>, <[email-masked]>

Hope this will help.

Try creating e:\Cygnus\B19\share and copying bison.hairy and bison.simple to
this directory.  I think the path to these files may be hard-coded in the
executable, and your root is mounted from e:.

Fred

-----Original Message-----
From: Jeff Coffler <[email-masked]>
To: <[email-masked]>
Date: Friday, July 10, 1998 12:22 PM
Subject: Problems with Cygnus and paths (default / path, /tmp, and more) is
confusing byacc

>Hi folks,
>
>I checked the FAQ, and most of the archives, and I have a problem that's
>stumping me.
>
>I'm not using much of the cdk, but I am trying to use byacc (from cygnus
>b19).  It seems that, on certain systems, byacc is generating a .c file
>that's just plain wrong, given it's input (and the results won't compile
>using Microsoft VC++ V5.0).
>
>Some basic setup stuff:
>
>Cygnus is installed in:    e:\packages\cygnus (so that the bin directory is
>in "e:\Packages\Cygnus\B19\H-i386-cygwin32" - but I don't believe case
>matters).
>
>The stuff I'm trying to build is on e: as well, deep in a directory
>
>My /tmp directory:    d:\temp    (but I tried this half a dozen different
>ways - bash isn't complaining about my setup)
>
>
>Gleening from the FAQ, my mount points look as follows:
>
>Device           Directory           Type        Flags
>e:\packages\cygnus\b19\h-i386-cygwin32 /usr                native
>text!=binary
>d:\TEMP          /tmp                native      text!=binary
>\\.\tape1:       /dev/st1            native      text!=binary
>\\.\tape0:       /dev/st0            native      text!=binary
>\\.\b:           /dev/fd1            native      text!=binary
>\\.\a:           /dev/fd0            native      text!=binary
>e:               /                   native      text!=binary
>
>
>When I invoke byacc, I don't get any unusual errors.  But the resulting
>output is (clearly) wrong.  On a different system (also NT V4.0, with
>different directory paths), byacc is working fine.
>
>Can anyone offer advice?
>
>I've also tried with /usr -> e:\packages\cygnus\b19, but that didn't help
>either.  As I said, I'm stumped.
>
>Any advice would be greatly appreciated, thanks!
>
>    -- Jeff
>
>
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".
>

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".